.TH VxQuery 8
.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
.\" other parms are allowed: see man(7), man(1)
.SH NAME
vxquery \- query for information from the \fBVxMail\fP user database
.SH SYNOPSIS
.B vxquery
.I "[-f \<configfile\>] querymode [\<query arguments\>]"
.br
.B vxquery
.I "-h"
.br
.B vxquery
.I "-V"
.br
.B vxdump
.SH "DESCRIPTION"
\fBvxquery\fP allows the query for information from the \fBVxMail\fP user
database. Any query results are written to \fIstdout\fP. \fBvxdump\fP is a
synonym for \fIvxquery all\fP.
.SH OPTIONS
.TP
\fB\-f \<configfile\>\fP, \fB\-\-config\=\<configfile\>\fP
reads the configuration from the file \fI\<configfile\>\fP instead of
\fI%conffile%\fP.
.TP
.B \-h
shows a short description how to use this program.
.TP
.B \-V
shows the \fBVxMail\fP-version of this program.
.TP
\fBquerymode\fP [\fB\<query arguments\>\fP]
The type of the query. You can specify one of the following queries:
.RS
.TP
\fBall\fP
- dump the complete content of the user database in a format
which can be reread by \fIvxmkdb\fP.
.TP
\fBdomain\fP domainname [\fBrecreate\fP]
.br
- dump only contents of the domain \fIdomainname\fP.
This two is done in a \fIvxmkdb\fP\-re-readable format.
If \fBrecreate\fP is specified, \fBvxquery\fP assumes that the domain should
be completely recreated from it's output. In this case it prints a
\fBNO DOMAIN "domainname"\fP\-command in front of it's output and uses the
extended format of the \fBDOMAIN\fP\-command.
.TP
\fBfolder\fP domainname
.br
- print the directory where the user folders for
the specified domain reside.
.TP
\fBfolder\fP user-address
.br
- print the (complete) pathname of the specified
user's folder.
.TP
\fBspecial\fP [\fBIPTRANS\fP|\fBREDIRECT\fP|\fBIDENTITY\fP|\fBVXTS\fP]
.br
- dump special entries from
the user database - either all or of the specified type.
.TP
\fBexists\fP domainname [\fBverbose\fP]
.br
- returns with a zero exit code if the specified
domain could be found in the user database and with EX_NOHOST, otherwise. If
\fBverbose\fP was specified, \fBvxquery\fP writes the (complete link path
- followed by) the domainname to the standard output on success; in the case
of an error a message will then be written to the standard error output.
.TP
\fBexists\fP user-address [\fBverbose\fP]
.br
- returns with a zero exit code if the specified
user could be found in the user database and with EX_NOUSER, otherwise. If
\fBverbose\fP was specified, \fBvxquery\fP writes the (complete link path
- followed by) the e-mail address to the standard output on success; in the
case of an error a message will then be written to the standard error output.
.TP
\fBprofile\fP domainname
.br
- print the pathname of the e-mail filter (or \fINONE\fP), the current/maximum
number of users and the default folder limits for the specified domain. (This
is not implemented in this version of \fBVxMail\fP.)
.TP
\fBfilter\fP domainname
.br
- print the pathname of the e-mail filter of the
specified domain. return with the EX_NOINPUT exit status if the domain doesn't
have an e-mail filter.
.TP
\fBlimits\fP domainname
.br
- print the default maximum message size/maximum
folder size for users in the specified domain.
.TP
\fBlimits\fP user-address
.br
- print the (current) maximum message size/maximum folder size for the
specified user entry. (This is not implemented in this version of \fBVxMail\fP.)
.TP
\fBusers\fP domainname
.br
- print the current number of users in the specified domain.
.PD
.RE
.LP
You can specify any prefix instead of the full name of the \fIquerymode\fP
argument - as long as it uniquely identifies the type of the query.
.SH "SEE ALSO"
.BR "vxcheck(8)"
.BR "vxconv(8)"
.BR "vxdeliver(8)"
.BR "vxgetconf(8)"
.BR "vxmkdb(8)"
.BR "vxpop(8)"
.SH AUTHOR
Boris Jakubith <bj@cs.tu-berlin.de> (<bj@isv-gmbh.de>).
.br
\fB(c) 1998-2000, Boris Jakubith\fP
