/* inline-funcs.h
**
** some inline functions i use more than once
**
*/
#ifndef _INLINE_FUNCS_H
#define _INLINE_FUNCS_H

#include <string.h>

#include "tools.h"

/* Entferne das Zeilenende (`\r', `\n' oder `\r\n') von einer Zeile und gib
** ein Flag zurck, das darber Auskunft gibt, ob die Zeile ein Zeilenende
** enthielt (also abgeschlossen war) oder nicht.
*/
static __inline__ int cuteol (char *line)
{
    char *p = line + strlen (line);
    if (p == line) { return 0; }
    if (*--p == '\r') { *p = '\0'; return 2; }
    if (*p == '\n') {
	*p = '\0';
	if (p != line && *--p == '\r') { *p = '\0'; return 3; }
	return 1;
    }
    return 0;
}

static __inline__ char *abs_path (char *base, char *fname)
{
    char *res;
    if (*fname == '/') {
	res = gdupl (__FILE__, __LINE__, fname);
    } else {
	res = gconc (__FILE__, __LINE__, base, "/", fname, NULL);
    }
    return res;
}

static __inline__ int isws (char c)
{
    return (c == ' ') || (c == '\t');
}

#endif /* defined(_INLINE_FUNCS_H) */
